@ECHO off

ECHO "%~1"

set /p new= Armor ID :

FOR /R "%~1\helm" %%i in (*.*) do REN "%%i" f_helm%new%.*
FOR /R "%~1\body" %%i in (*.*) do REN "%%i" f_body%new%.*
FOR /R "%~1\arm" %%i in (*.*) do REN "%%i" f_arm%new%.*
FOR /R "%~1\wst" %%i in (*.*) do REN "%%i" f_wst%new%.*
FOR /R "%~1\leg" %%i in (*.*) do REN "%%i" f_leg%new%.*

REN "%~1" pl%new%

pause